Bug 1009283 - [RFE] [plugins] install based on ks template
[RFE] [plugins] install based on ks template
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core (Show other bugs)
20
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Radek Holy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 02:35 EDT by Jóhann B. Guðmundsson
Modified: 2015-10-05 22:14 EDT (History)
5 users (show)

See Also:
Fixed In Version: dnf-plugins-core-0.0.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-13 04:43:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2013-09-18 02:35:33 EDT
Description of problem:

It would be extremly handy if it was possible for DNF to install based ks file as in something like dnf install foo.ks and it would read and install based on the ks file.

The usecase for this for administrator to re-use existing ks file in their infrastructure and install directly into OS container which then could be started.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Ales Kozumplik 2013-09-18 03:23:38 EDT
Hello, this is a good idea and we'll keep it in the backlog.

Closely related bug (perhaps to generate the ks): bug 884615.
Comment 2 Jóhann B. Guðmundsson 2013-09-18 05:57:54 EDT
For OS containers the %post sections probably be needed to be wrapped into something like ( if doable/supportable )

# chroot /containers/container01.example.com/ su - root -c ". ~/.bash_profile; <%post command>"
Comment 3 Ales Kozumplik 2013-09-18 06:29:59 EDT
that's up to the containers. DNF will only use the %packages section I think.

We also need to make this accessible from the API so Anaconda might consider switching to it later.
Comment 4 Ales Kozumplik 2013-11-27 09:27:09 EST
This will have to be a plugin as it's going to depend on kickstart and we don't want that dep in the core.
Comment 5 Ales Kozumplik 2013-12-04 08:20:49 EST
Radek, please take care of this one (building a plugin that does just that). Ask the #anaconda guys about how to use python-kickstart to parse out what is needed. 

Then in DNF just register a new 'dnf kickstart' Command.
Comment 6 Ales Kozumplik 2013-12-05 05:04:55 EST
Here's an example of how to register a new command from a plugin:

https://github.com/akozumpl/dnf-plugins/blob/master/plugins/download.py

Documentation is coming. The plugin should use the existing API where at all possible.
Comment 7 Radek Holy 2013-12-20 04:32:24 EST
The plugin have been implemented. Now it is waiting for the package to be released.
Comment 8 Jóhann B. Guðmundsson 2013-12-20 06:08:24 EST
Fantastic great work thanks
Comment 9 Fedora End Of Life 2013-12-21 10:36:57 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.